# std::span<T,Extent>::back

From cppreference.com
< cpp‎ | container‎ | span

constexpr reference back() const; |  |

Returns a reference to the last element in the span.

Calling `back` on an empty span results in undefined behavior.

### Parameters

(none)

### Return value

A reference to the back element.

### Complexity

Constant

### Notes

For a span `c`, the expression c.back() is equivalent to *(c.end()-1).

### Example

| This section is incomplete Reason: no example

### See also

front | access the first element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/span/back&oldid=109479"